### Hierarchy

- EventTarget
  - BaseAudioContext
    - AudioContext
    - OfflineAudioContext

## Index

### Properties

- EventTarget
- audioWorklet
- currentTime
- destination
- listener
- onstatechange
- sampleRate
- state

### Methods

- addEventListener
- createAnalyser
- createBiquadFilter
- createBuffer
- createBufferSource
- createChannelMerger
- createChannelSplitter
- createConstantSource
- createConvolver
- createDelay
- createDynamicsCompressor
- createGain
- createIIRFilter
- createOscillator
- createPanner
- createPeriodicWave
- createScriptProcessor
- createStereoPanner
- createWaveShaper
- decodeAudioData
- dispatchEvent
- removeEventListener
- resume

## Properties

### EventTarget

EventTarget: object

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:5081

#### Type declaration

- ##### constructor: function

  - new __type(): EventTarget
  - - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:5082

    #### Returns EventTarget

- ##### prototype: EventTarget

### audioWorklet

audioWorklet: AudioWorklet

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:2130

### currentTime

currentTime: number

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:2131

### destination

destination: AudioDestinationNode

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:2132

### listener

listener: AudioListener

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:2133

### onstatechange

onstatechange: function | null

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:2134

### sampleRate

sampleRate: number

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:2135

### state

state: AudioContextState

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:2136

## Methods

### addEventListener

- addEventListener<K>(type: K, listener: function, options?: boolean | AddEventListenerOptions): void
- addEventListener(type: string, listener: EventListenerOrEventListenerObject, options?: boolean | AddEventListenerOptions): void

- Overrides EventTarget.addEventListener

  - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:2157

  #### Type parameters

  - #### K: keyof BaseAudioContextEventMap

  #### Parameters

  - ##### type: K

  - ##### listener: function

    - - (this: BaseAudioContext, ev: BaseAudioContextEventMap[K]): any

      - #### Parameters

        - ##### this: BaseAudioContext

        - ##### ev: BaseAudioContextEventMap[K]

        #### Returns any

  - ##### Optional options: boolean | AddEventListenerOptions

  #### Returns void

- Overrides EventTarget.addEventListener

  - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:2158

  #### Parameters

  - ##### type: string

  - ##### listener: EventListenerOrEventListenerObject

  - ##### Optional options: boolean | AddEventListenerOptions

  #### Returns void

### createAnalyser

- createAnalyser(): AnalyserNode

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:2137

  #### Returns AnalyserNode

### createBiquadFilter

- createBiquadFilter(): BiquadFilterNode

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:2138

  #### Returns BiquadFilterNode

### createBuffer

- createBuffer(numberOfChannels: number, length: number, sampleRate: number): AudioBuffer

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:2139

  #### Parameters

  - ##### numberOfChannels: number

  - ##### length: number

  - ##### sampleRate: number

  #### Returns AudioBuffer

### createBufferSource

- createBufferSource(): AudioBufferSourceNode

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:2140

  #### Returns AudioBufferSourceNode

### createChannelMerger

- createChannelMerger(numberOfInputs?: undefined | number): ChannelMergerNode

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:2141

  #### Parameters

  - ##### Optional numberOfInputs: undefined | number

  #### Returns ChannelMergerNode

### createChannelSplitter

- createChannelSplitter(numberOfOutputs?: undefined | number): ChannelSplitterNode

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:2142

  #### Parameters

  - ##### Optional numberOfOutputs: undefined | number

  #### Returns ChannelSplitterNode

### createConstantSource

- createConstantSource(): ConstantSourceNode

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:2143

  #### Returns ConstantSourceNode

### createConvolver

- createConvolver(): ConvolverNode

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:2144

  #### Returns ConvolverNode

### createDelay

- createDelay(maxDelayTime?: undefined | number): DelayNode

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:2145

  #### Parameters

  - ##### Optional maxDelayTime: undefined | number

  #### Returns DelayNode

### createDynamicsCompressor

- createDynamicsCompressor(): DynamicsCompressorNode

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:2146

  #### Returns DynamicsCompressorNode

### createGain

- createGain(): GainNode

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:2147

  #### Returns GainNode

### createIIRFilter

- createIIRFilter(feedforward: number[], feedback: number[]): IIRFilterNode

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:2148

  #### Parameters

  - ##### feedforward: number[]

  - ##### feedback: number[]

  #### Returns IIRFilterNode

### createOscillator

- createOscillator(): OscillatorNode

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:2149

  #### Returns OscillatorNode

### createPanner

- createPanner(): PannerNode

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:2150

  #### Returns PannerNode

### createPeriodicWave

- createPeriodicWave(real: number[] | Float32Array, imag: number[] | Float32Array, constraints?: PeriodicWaveConstraints): PeriodicWave

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:2151

  #### Parameters

  - ##### real: number[] | Float32Array

  - ##### imag: number[] | Float32Array

  - ##### Optional constraints: PeriodicWaveConstraints

  #### Returns PeriodicWave

### createScriptProcessor

- createScriptProcessor(bufferSize?: undefined | number, numberOfInputChannels?: undefined | number, numberOfOutputChannels?: undefined | number): ScriptProcessorNode

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:2152

  #### Parameters

  - ##### Optional bufferSize: undefined | number

  - ##### Optional numberOfInputChannels: undefined | number

  - ##### Optional numberOfOutputChannels: undefined | number

  #### Returns ScriptProcessorNode

### createStereoPanner

- createStereoPanner(): StereoPannerNode

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:2153

  #### Returns StereoPannerNode

### createWaveShaper

- createWaveShaper(): WaveShaperNode

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:2154

  #### Returns WaveShaperNode

### decodeAudioData

- decodeAudioData(audioData: ArrayBuffer, successCallback?: DecodeSuccessCallback | null, errorCallback?: DecodeErrorCallback | null): Promise<AudioBuffer>

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:2155

  #### Parameters

  - ##### audioData: ArrayBuffer

  - ##### Optional successCallback: DecodeSuccessCallback | null

  - ##### Optional errorCallback: DecodeErrorCallback | null

  #### Returns Promise<AudioBuffer>

### dispatchEvent

- dispatchEvent(event: Event): boolean

- Inherited from EventTarget.dispatchEvent

  - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:5074

  Dispatches a synthetic event event to target and returns true if either event's cancelable attribute value is false or its preventDefault() method was not invoked, and false otherwise.

  #### Parameters

  - ##### event: Event

  #### Returns boolean

### removeEventListener

- removeEventListener<K>(type: K, listener: function, options?: boolean | EventListenerOptions): void
- removeEventListener(type: string, listener: EventListenerOrEventListenerObject, options?: boolean | EventListenerOptions): void

- Overrides EventTarget.removeEventListener

  - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:2159

  #### Type parameters

  - #### K: keyof BaseAudioContextEventMap

  #### Parameters

  - ##### type: K

  - ##### listener: function

    - - (this: BaseAudioContext, ev: BaseAudioContextEventMap[K]): any

      - #### Parameters

        - ##### this: BaseAudioContext

        - ##### ev: BaseAudioContextEventMap[K]

        #### Returns any

  - ##### Optional options: boolean | EventListenerOptions

  #### Returns void

- Overrides EventTarget.removeEventListener

  - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:2160

  #### Parameters

  - ##### type: string

  - ##### listener: EventListenerOrEventListenerObject

  - ##### Optional options: boolean | EventListenerOptions

  #### Returns void

### resume

- resume(): Promise<void>

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:2156

  #### Returns Promise<void>

Generated using TypeDoc